ZIP_GET_NUM_FILES(3)

NAME
zip_get_num_files - get number of files in archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_get_num_files(struct zip *archive);

DESCRIPTION
This function is deprecated. Use zip_get_num_entries(3) instead.

The zip_get_num_files function returns the number of files in archive.

RETURN VALUES
zip_get_num_files returns the number of files in the zip archive, or -1 if archive is NULL.

SEE ALSO
libzip(3), zip_fopen_index(3), zip_stat_index(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>